summaryrefslogtreecommitdiffstats
path: root/multimedia/hexter
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-13 00:59:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:42 +0200
commit70a923d0526987af5bc8778ae75b6ae5dacd77e5 (patch)
tree22c82629f6d47c17740b105e3f0a2f1dd1c08468 /multimedia/hexter
parente01271417bae5ea02340b906449146aed9008fd7 (diff)
downloadslackbuilds-70a923d0526987af5bc8778ae75b6ae5dacd77e5.tar.gz
slackbuilds-70a923d0526987af5bc8778ae75b6ae5dacd77e5.tar.xz
multimedia/hexter: Added to 13.0 repository
Diffstat (limited to 'multimedia/hexter')
-rw-r--r--multimedia/hexter/README10
-rw-r--r--multimedia/hexter/hexter.SlackBuild71
-rw-r--r--multimedia/hexter/hexter.info10
-rw-r--r--multimedia/hexter/slack-desc10
4 files changed, 101 insertions, 0 deletions
diff --git a/multimedia/hexter/README b/multimedia/hexter/README
new file mode 100644
index 0000000000..d2b0834d26
--- /dev/null
+++ b/multimedia/hexter/README
@@ -0,0 +1,10 @@
+hexter is a software synthesizer that models the sound generation of a Yamaha
+DX7 synthesizer. It can easily load most DX7 patch bank files, accept patch
+editing commands via MIDI sys-ex messages (ALSA systems only), and recreate
+the sound of the DX7 with greater accuracy than any previous open-source
+emulation (that the author is aware of....).
+
+hexter operates as a plugin for the Disposable Soft Synth Interface (DSSI);
+you need a program to host it (e.g. rosegarden).
+
+This requires dssi and liblo.
diff --git a/multimedia/hexter/hexter.SlackBuild b/multimedia/hexter/hexter.SlackBuild
new file mode 100644
index 0000000000..9d249d6cc5
--- /dev/null
+++ b/multimedia/hexter/hexter.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Slackware build script for <hexter>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=hexter
+VERSION=0.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+# --with-gtk-prefix=/usr/lib/gtk-2.0 \
+# --with-gnu-ld \
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL TODO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/hexter/hexter.info b/multimedia/hexter/hexter.info
new file mode 100644
index 0000000000..99f60d5646
--- /dev/null
+++ b/multimedia/hexter/hexter.info
@@ -0,0 +1,10 @@
+PRGNAM="hexter"
+VERSION="0.6.1"
+HOMEPAGE="http://dssi.sourceforge.net/hexter.html"
+DOWNLOAD="http://garr.dl.sourceforge.net/sourceforge/dssi/hexter-0.6.1.tar.gz"
+MD5SUM="09e9fc778b46b0d6d94a793b433fda2e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/hexter/slack-desc b/multimedia/hexter/slack-desc
new file mode 100644
index 0000000000..ec96b93cae
--- /dev/null
+++ b/multimedia/hexter/slack-desc
@@ -0,0 +1,10 @@
+hexter: hexter is a software synthesizer that models the sound generation of a
+hexter: Yamaha DX7 synthesizer. It can easily load most DX7 patch bank files,
+hexter: accept patch editing commands via MIDI sys-ex messages (ALSA systems
+hexter: only), and recreate the sound of the DX7 with greater accuracy than any
+hexter: previous open-source emulation (that the author is aware of....)
+hexter:
+hexter: hexter operates as a plugin for the Disposable Soft Synth Interface
+hexter: (DSSI).
+hexter:
+hexter: